package crn;

import javax.swing.JComboBox;

/**
 * Contains the weights for the importance levels of IEs.
 * @author Piotrek
 */

public final class IEImportance
{
	/**
	 * The weight for the importance level 'none' of IEs.
	 * @author Piotrek
	 */
	public final static float NONE = 0.0f;
	
	/**
	 * The weight for the importance level 'irrelevant' of IEs.
	 * @author Piotrek 
	 */
	public final static float IRRELEVANT = 0.1f;
	
	/**
	 * The weight for the importance level 'unimportant' of IEs.
	 * @author Piotrek 
	 */
	public final static float UNIMPORTANT = 0.5f;
	
	/**
	 * The weight for the importance level 'neutral' of IEs.
	 * @author Piotrek 
	 */
	public final static float NEUTRAL = 1.0f;
	
	/**
	 * The weight for the importance level 'important' of IEs.
	 * @author Piotrek 
	 */
	public final static float IMPORTANT = 3.0f;
	
	/**
	 * The weight for the importance level 'crucial' of IEs.
	 * @author Piotrek 
	 */
	public final static float CRUCIAL = 9.0f;
	
	/**
	 * Loads the values for the combo box with the importance levels.
	 * @author Piotrek
	 * @param comboBox The combo box to add the values to.
	 */
	public static void LoadImportanceLevels(JComboBox comboBox)
	{
		comboBox.addItem("None");
		
		comboBox.addItem("Irrelevant");		
		
		comboBox.addItem("Unimportant");
		
		comboBox.addItem("Neutral");
		
		comboBox.addItem("Important");
		
		comboBox.addItem("Crucial");
	}
}
