/*
 * Created on 2005-06-17
 */
package crn.comparators;

import world.Location;
import crn.IE;
import crn.IEComparator;

/**
 * A class used to compare the locations.
 * @author Piotrek
 */
public class LocationsComparator implements IEComparator
{
	/**
	 * @see crn.IEComparator#CompareIEs(crn.IE, crn.IE)
	 * @author Piotrek
	 */
	public float CompareIEs(IE ie1, IE ie2)
	{
		if (ie1 == null || ie2 == null)
			throw new NullPointerException("Both IEs must not be null in LocationsComparator.");
		
		String[] position1Coordinates = ie1.value.split(";");
		String[] position2Coordinates = ie2.value.split(";");
		
		if (position1Coordinates.length != 2)
			throw new IllegalArgumentException("ie1 is not a valid location.");
		
		if (position2Coordinates.length != 2)
			throw new IllegalArgumentException("ie2 is not a valid location.");
		
		Location location1 = new Location(Integer.parseInt(position1Coordinates[0]), Integer.parseInt(position1Coordinates[1]));
		Location location2 = new Location(Integer.parseInt(position2Coordinates[0]), Integer.parseInt(position2Coordinates[1]));
		
		double distance = Location.GetDistance(location1, location2);
		
		if (distance >= MAX_SIMILAR_LOCATIONS_DISTANCE)
			return 0;
		
		return (float)(1.0 - distance / MAX_SIMILAR_LOCATIONS_DISTANCE);
	}
	
	/**
	 * Defines a maximal distance between two locations to consider them similar.
	 * @author Piotrek
	 */
	
	public static double MAX_SIMILAR_LOCATIONS_DISTANCE = 300.0;
}
