/*
 * Created on 2005-06-18
 */
package crn.comparators;

import crn.IE;
import crn.IEComparator;

/**
 * A class used to compare the total durations.
 * @author Piotrek
 */
public class TotalDurationsComparator implements IEComparator
{
	/**
	 * @see crn.IEComparator#CompareIEs(crn.IE, crn.IE)
	 * @author Piotrek
	 */
	public float CompareIEs(IE ie1, IE ie2)
	{
		if (ie1 == null || ie2 == null)
			throw new NullPointerException("Both IEs must not be null in TotalDurationsComparator.");
		
		if (ie1.name.compareTo("TotalDuration") != 0 || ie2.name.compareTo("TotalDuration") != 0)
			throw new IllegalArgumentException("Total durations comparator compares only durations.");
		
		int totalDuration1 = Integer.parseInt(ie1.value);
		int totalDuration2 = Integer.parseInt(ie2.value);
		
		int difference = Math.abs(totalDuration1 - totalDuration2);
		
		if (difference > MAX_SIMILAR_DURATIONS_DIFFERENCE)
			return 0;
		
		return 1.0f - (float)difference / (float)MAX_SIMILAR_DURATIONS_DIFFERENCE;
	}

	/**
	 * Defines the maximal difference between similar durations.
	 * @author Piotrek
	 */
	
	public static int MAX_SIMILAR_DURATIONS_DIFFERENCE = 180;
}
