/*
 * Created on 2005-09-10
 */
package gui;

import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 * A file filter used to filter out the files with the characteristics of the found travel solutions.
 * @author Piotrek
 */
public class SolutionsCharacteristicsFileFilter extends FileFilter
{
	/**
	 * Constructor.
	 * @author Piotrek
	 */
	public SolutionsCharacteristicsFileFilter()
	{
		super();
	}
	
	/**
	 * A file extension of the files with the characteristics.
	 * @author Piotrek
	 */
	public static final String FILE_EXTENSION = ".csv";
	
	/**
	 * @author Piotrek
	 * @see javax.swing.filechooser.FileFilter#accept(java.io.File)
	 */
	public boolean accept(File file) 
	{
		if (file.isDirectory()) 
		{
			return true;
		}
	
		String name = file.getName();
		
		if (name != null && name.endsWith(FILE_EXTENSION)) 
			return true;
		
		return false;
	}

	/**
	 * @author Piotrek
	 * @see javax.swing.filechooser.FileFilter#getDescription()
	 */
	public String getDescription()
	{
		return "Comma Separated Values";
	}
}
