/*
 * Created on 2005-03-29
 */
package gui;

import gui.dialogs.MainDialog;
import java.util.ArrayList;
import java.util.Iterator;
import javax.swing.JOptionPane;
import scheduler.TestOptions;
import crn.OtherSettingsFileHandler;

/**
 * A starter class.
 * @author Piotrek
 */
public final class TravelSchedulerWorldEditor
{
	/**
	 * Main function - the program's entry point.
	 * @author Piotrek
	 * @param args The system variables for the program.
	 */
	public static void main(String[] args)
	{
		try
		{	
			OtherSettingsFileHandler.LoadFromFile(".\\Data\\OtherSettings.xml");
			
			TestOptions.Reset();
			
			MainDialog mainDialog = new MainDialog("Travel Scheduler World Editor");
			
			mainDialog.setVisible(true);
			
			OtherSettingsFileHandler.StoreToFile(".\\Data\\OtherSettings.xml");
		}
		
		catch (Exception xcp)
		{
			JOptionPane.showMessageDialog(null, "There was an exception: " + xcp.getMessage(), "Error", JOptionPane.ERROR_MESSAGE);
		}
		
		System.exit(0);
	}
	
	/**
	 * Shows a message and pointed out errors from the list.
	 * @author Piotrek
	 * @param message A message to be displayed. For example: "There were some errors:".
	 * @param errorsList A list of strings.
	 */
	public static void ShowErrorsList(String message, ArrayList errorsList)
	{
		if (message == null)
			throw new NullPointerException("Message must not be null in TravelSchedulerWorldEditor.ShowErrorsList().");
		
		if (errorsList == null)
			throw new NullPointerException("Errors list must not be null in TravelSchedulerWorldEditor.ShowErrorsList().");
		
		String errorMessage = message + "\n";
		
		Iterator iterator = errorsList.iterator();
		
		while (iterator.hasNext())
		{
			errorMessage += "- " + (String)iterator.next() + "\n";
		}
		
		JOptionPane.showMessageDialog(null, errorMessage, "Error", JOptionPane.ERROR_MESSAGE);
	}
}
