/*
 * Created on 2005-04-14
 */
package gui.controls;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;
import javax.swing.JComponent;
import javax.swing.JList;
import javax.swing.ListCellRenderer;
import world.Connection;

/**
 * A cell renderer for the connections.
 * @author Piotrek
 */
public class ConnectionsCellRenderer extends JComponent implements ListCellRenderer
{
	/**
	 * Constructor.
	 * @author Piotrek
	 */
	public ConnectionsCellRenderer()
	{
		super();
				
		setLayout(null);
	}
	
	/**
	 * @author Piotrek
	 * @see javax.swing.ListCellRenderer#getListCellRendererComponent(javax.swing.JList, java.lang.Object, int, boolean, boolean)
	 */
	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)
	{
		connection = (Connection)value;
		
		itemIndex = index + 1;
	       
		if (isSelected)
		{
            setBackground(list.getSelectionBackground());
            setForeground(list.getSelectionForeground());
		}
        else
        {
        	setBackground(list.getBackground());
        	setForeground(list.getForeground());
        }
		
		setEnabled(list.isEnabled());
		setFont(list.getFont());
	                
        return this;
	}
	
	/**
	 * A connection we are rendering.
	 * @author Piotrek
	 */
	private Connection connection = null;
	
	/**
	 * A one-based index on the list of the connections we are rendering.
	 * @author Piotrek
	 */
	private int itemIndex = -1;
	
	/**
	 * @author Piotrek
	 * @see java.awt.Component#paint(java.awt.Graphics)
	 */
	public void paint(Graphics g)
	{
		g.setColor(getBackground());
		g.fillRect(0, 0 , getSize().width, getSize().height);
			
		g.setColor(Color.BLUE);
		g.drawString("Name: " + connection.GetName(), 10, 20);
			
		if (itemIndex != 1)
			g.drawLine(0, 0, getWidth(), 0);
	}
}
