/*
 * Created on 2005-09-10
 */
package gui.dialogs;

import java.awt.Color;
import java.awt.Container;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.SwingConstants;
import scheduler.TestOptions;

/**
 * A dialog used to show the queries stats.
 * @author Piotrek
 */
public class StatsDialog extends JDialog implements ActionListener
{
	/**
	 * Constructor.
	 * @author Piotrek
	 */
	public StatsDialog()
	{
		super();
		
		setModal(true);
		setTitle("Queries Stats");
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		setSize(505, 225);
		setResizable(false);
				
		// panel	
		panel = getContentPane();
		
		panel.setLayout(null);
		
		panel.setBackground(Color.BLUE);
		
		setContentPane(panel);
		
		// adding a message
		
		JLabel label = new JLabel("Queries stats", SwingConstants.CENTER);
		
		add(label);
		
		label.setBounds(10, 25, 480, 25);
		label.setBackground(Color.YELLOW);
		label.setOpaque(true);
		
		// stations in range
		label = new JLabel("Total count of queries for stations in the range: " + TestOptions.GetStationsInRangeQueriesCount(), SwingConstants.LEFT);
		
		add(label);
		
		label.setBounds(10, 80, 480, 25);
		label.setForeground(Color.WHITE);
				
		// connections for the given station
		label = new JLabel("Total count of queries for the connections for the given station: " + TestOptions.GetConnectionsForStationsQueriesCount(), SwingConstants.LEFT);
		
		add(label);
		
		label.setBounds(10, 110, 480, 25);
		label.setForeground(Color.WHITE);
						
		// ok
		
		okButton = new JButton("OK");
		
		okButton.setBounds(212, 150, 80, 25);
		okButton.setBackground(Color.ORANGE);
		
		okButton.addActionListener(this);
		
		add(okButton);
	}
	
	/**
	 * An OK button.
	 * @author Piotrek
	 */
	JButton okButton = null;
	
	/**
	 * The OK dialog result.
	 * @author Piotrek
	 */
	public static final int OK = 1;
	
	/**
	 * The cancel dialog result.
	 * @author Piotrek
	 */
	public static final int CANCEL = 2;
	
	/**
	 * The dialog result.
	 * @author Piotrek
	 */
	private int dialogResult = CANCEL;
	
	/**
	 * Gets the dialog result.
	 * @author Piotrek
	 * @return The dialog result.
	 */
	public int GetDialogResult()
	{
		return dialogResult;
	}
	
	/**
	 * A main panel of this dialog.
	 * @author Piotrek
	 */
	private Container panel = null;
	
	/**
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 * @author Piotrek
	 */
	public void actionPerformed(ActionEvent e)
	{
		if (e.getSource() == okButton)
		{
			setVisible(false);
			
			dialogResult = OK;
		}
	}
}
