/*
 * Created on 2005-05-21
 */
package scheduler;

import java.util.Date;

/**
 * A class describing the travel constraints.
 * @author Piotrek
 */
public class TravelConstraints
{
	/**
	 * Constructor.
	 * @author Piotrek
	 */
	public TravelConstraints()
	{
		// does nothing
	}
	
	/**
	 * Indicates whether the limit date is a limit for the departure (if true) or for the arrival (otherwise).
	 * @author Piotrek
	 */
	public boolean fIsLimitDeparture = true;
	
	/**
	 * A time limit.
	 * @author Piotrek
	 */
	public Date dateLimit = null;
	
	/**
	 * Indicates whether the taxi is an allowed mean of transportation.
	 * @author Piotrek
	 */
	public boolean isTaxiAllowed = true;
	
	/**
	 * Indicates whether the train is an allowed mean of transportation.
	 * @author Piotrek
	 */
	public boolean isTrainAllowed = true;
	
	/**
	 * Indicates whether the bus is an allowed mean of transportation.
	 * @author Piotrek
	 */
	public boolean isBusAllowed = true;
	
	/**
	 * Indicates whether the airplane is an allowed mean of transportation.
	 * @author Piotrek
	 */
	public boolean isAirplaneAllowed = true;
	
	/**
	 * Indicates whether the ship is an allowed mean of transportation.
	 * @author Piotrek
	 */
	public boolean isShipAllowed = true;
	
	/**
	 * Defines a maximal number of changes during the travel.
	 * @author Piotrek
	 */
	public int maxChangesCount = 10;
	
	/**
	 * Defines the minimal time of change (in minutes).
	 * @author Piotrek
	 */
	public int minChangeTime = 5;
	
	/**
	 * Defines the maximal time of change (in minutes).
	 * @author Piotrek
	 */
	public int maxChangeTime = 120;
	
	/**
	 * Defines the time (in minutes) one need to be before a flight at the airport.
	 * @author Piotrek
	 */
	public int timeBeforeFlight = 90;
	
	/**
	 * Defines the time (in minutes) one need to be before a cruise at the harbour.
	 * @author Piotrek
	 */
	public int timeBeforeCruise = 45;
}
