/*
 * Created on 2005-05-16
 */
package scheduler.modulesinterfaces;

import java.util.ArrayList;
import world.Station;

/**
 * An interface defining the methods to access a source of the travel information on the world.
 * @author Piotrek
 */
public interface ConnectionsTravelInfoProvider
{
	/**
	 * Gets a list of all connections leaving from the given station.
	 * @author Piotrek
	 * @param station A station for which to search for the conenctions.
	 * @param meanOfTransportation A mean of transportation the connections should be searched for.
	 * @see world.MeanOfTransportation#AIRPLANE
	 * @see world.MeanOfTransportation#BUS
	 * @see world.MeanOfTransportation#SHIP
	 * @see world.MeanOfTransportation#TAXI
	 * @see world.MeanOfTransportation#TRAIN
	 * @see world.MeanOfTransportation#WALK
	 * @return A list of all found connection or an empty list if there are none.
	 */
	public ArrayList GetConnectionsForStation(Station station, int meanOfTransportation);
}
