/*
 * Created on 2005-05-14
 */
package tests;

import junit.framework.TestCase;
import world.Airport;
import world.Location;
import world.MeanOfTransportation;

/**
 * Tests the Airport class.
 * @author Piotrek
 */
public class AirportTest extends TestCase
{
	/**
	 * Tests the constructor.
	 * @author Piotrek
	 */
	public void testAirport()
	{
		Airport airport = new Airport(new Location(12, 14), "Test1234");
		
		if (airport.GetMeanOfTransportation() != MeanOfTransportation.AIRPLANE)
			TestCase.fail("A new instance of an airport has a wrong mean of transportations assigned.");
		
		if (!airport.GetLocation().IsEqual(new Location (12, 14)))
			TestCase.fail("The airport has a wrong location assigned just after the construction.");
		
		if (airport.name.compareTo("Test1234") != 0)
			TestCase.fail("The airport has a wrong name assigned just after the construction.");
	}
}
