/*
 * Created on 2005-05-14
 */
package tests;

import junit.framework.TestCase;
import world.BusStop;
import world.Location;
import world.MeanOfTransportation;

/**
 * Tests the BusStop class.
 * @author Piotrek
 */
public class BusStopTest extends TestCase
{
	/**
	 * Tests the constructor.
	 * @author Piotrek
	 */
	public void testBusStop()
	{
		BusStop busStop = new BusStop(new Location(12, 14), "Test1234");
		
		if (busStop.GetMeanOfTransportation() != MeanOfTransportation.BUS)
			TestCase.fail("A new instance of a bus stop has a wrong mean of transportations assigned.");
		
		if (!busStop.GetLocation().IsEqual(new Location (12, 14)))
			TestCase.fail("The bus stop has a wrong location assigned just after the construction.");
		
		if (busStop.name.compareTo("Test1234") != 0)
			TestCase.fail("The bus stop has a wrong name assigned just after the construction.");
	}
}
