/*
 * Created on 2005-05-14
 */
package tests;

import junit.framework.TestCase;
import world.Location;
import world.MeanOfTransportation;
import world.Station;

/**
 * Tests the Station class.
 * @author Piotrek
 */
public class StationTest extends TestCase
{
	/**
	 * Tests the constructor.
	 * @author Piotrek
	 */
	public void testStation()
	{
		Station station = new Station(new Location(2, 6), "xxx", MeanOfTransportation.BUS);
		
		if (station.name.compareTo("xxx") != 0)
			TestCase.fail("Station has assigned an unexpected name just after the construction.");
		
		if (!station.GetLocation().IsEqual(new Location(2, 6)))
			TestCase.fail("Station has assigned an unexpected location just after the construction.");
		
		if (station.GetMeanOfTransportation() != MeanOfTransportation.BUS)
			TestCase.fail("Station has assigned an unexpected mean of transportation just after the construction.");
	}

	/**
	 * Tests the equality test.
	 * @author Piotrek
	 */
	public void testIsEqual()
	{
		Station station1 = new Station(new Location(1, 2), "x", MeanOfTransportation.AIRPLANE);
		Station station2 = new Station(new Location(1, 2), "x", MeanOfTransportation.AIRPLANE);
		
		Station station3 = new Station(new Location(1, 3), "x", MeanOfTransportation.AIRPLANE);
		Station station4 = new Station(new Location(1, 2), "y", MeanOfTransportation.AIRPLANE);
		Station station5 = new Station(new Location(1, 2), "x", MeanOfTransportation.SHIP);
		
		if (!station1.IsEqual(station2))
			TestCase.fail("Stations equality test has returned false fot identical stations.");
		
		if (station1.IsEqual(station3))
			TestCase.fail("Stations equality test has returned true fot different stations.");
		
		if (station1.IsEqual(station4))
			TestCase.fail("Stations equality test has returned true fot different stations.");
		
		if (station1.IsEqual(station5))
			TestCase.fail("Stations equality test has returned true fot different stations.");
	}
}
