/*
 * Created on 2005-05-14
 */
package tests;

import junit.framework.TestCase;
import world.Location;
import world.MeanOfTransportation;
import world.TrainStation;

/**
 * Tests the TrainStation class.
 * @author Piotrek
 */
public class TrainStationTest extends TestCase
{
	/**
	 * Tests the constructor.
	 * @author Piotrek
	 */
	public void testTrainStation()
	{
		TrainStation trainStation = new TrainStation(new Location(12, 14), "Test1234");
		
		if (trainStation.GetMeanOfTransportation() != MeanOfTransportation.TRAIN)
			TestCase.fail("A new instance of a train station has a wrong mean of transportations assigned.");
		
		if (!trainStation.GetLocation().IsEqual(new Location (12, 14)))
			TestCase.fail("The train station has a wrong location assigned just after the construction.");
		
		if (trainStation.name.compareTo("Test1234") != 0)
			TestCase.fail("The train station has a wrong name assigned just after the construction.");
	}
}
