/*
 * Created on 2005-05-03
 */
package world;


/**
 * A mean of transportation.
 * @author Piotrek
 */
public final class MeanOfTransportation
{	
	/**
	 * An airplane.
	 * @author Piotrek
	 */
	public static final int AIRPLANE = 0;
	
	/**
	 * A train.
	 * @author Piotrek
	 */
	public static final int TRAIN = 1;
	
	/**
	 * A bus.
	 * @author Piotrek
	 */
	public static final int BUS = 2;
	
	/**
	 * A ship.
	 * @author Piotrek
	 */
	public static final int SHIP = 3;
	
	/**
	 * A taxi.
	 * @author Piotrek
	 */
	public static final int TAXI = 4;
	
	/**
	 * A walk.
	 * @author Piotrek
	 */
	public static final int WALK = 5;
	
	/**
	 * Checks whether the given mean of transportation is a valid one.
	 * @author Piotrek
	 * @param meanOfTransportation A value to be tested.
	 * @return A bool value indicating whether the given value is a valid mean of transportation.
	 */
	public static boolean IsValidMeanOfTransportation(int meanOfTransportation)
	{
		if (meanOfTransportation == AIRPLANE)
			return true;
		
		if (meanOfTransportation == BUS)
			return true;
		
		if (meanOfTransportation == TRAIN)
			return true;
		
		if (meanOfTransportation == SHIP)
			return true;
		
		if (meanOfTransportation == TAXI)
			return true;
		
		if (meanOfTransportation == WALK)
			return true; 
		
		return false;
	}
	
	/**
	 * Gets a mean of transportation basing on the given name.
	 * @author Piotrek
	 * @param meanOfTransportation A name of a mean of transportation to get code for. 
	 * @return A mean of transportation code for the given name.
	 */
	public static int GetMeanOfTransportationCode(String meanOfTransportation)
	{
		if (meanOfTransportation.compareTo("Airplane") == 0)
			return AIRPLANE;
		
		if (meanOfTransportation.compareTo("Bus") == 0)
			return BUS;
		
		if (meanOfTransportation.compareTo("Train") == 0)
			return TRAIN;
		
		if (meanOfTransportation.compareTo("Ship") == 0)
			return SHIP;
		
		if (meanOfTransportation.compareTo("Taxi") == 0)
			return TAXI;
		
		if (meanOfTransportation.compareTo("Walk") == 0)
			return WALK;
		
		throw new IllegalArgumentException("Unexpected mean of transportation name in MeanOfTransportaionChooser.GetMeanOfTransportationCode().");
	}
	
	/**
	 * Gets a string with the name of the given mean of transportation.
	 * @author Piotrek
	 * @param meanOfTransportation A mean of transportation to get the name for. 
	 * @return A string with the name of the given mean of transportation.
	 */
	public static String GetMeanOfTransportationString(int meanOfTransportation)
	{
		if (meanOfTransportation == AIRPLANE)
			return "Airplane";
		
		if (meanOfTransportation == BUS)
			return "Bus";
		
		if (meanOfTransportation == TRAIN)
			return "Train";
		
		if (meanOfTransportation == SHIP)
			return "Ship";
		
		if (meanOfTransportation == TAXI)
			return "Taxi";
		
		if (meanOfTransportation == WALK)
			return "Walk";
		
		throw new IllegalArgumentException("Unexpected mean of transportation in MeanOfTransportaionChooser.GetMeanOfTransportationString().");
	}
}
